:--------------------------------------------
;Controls Patch
:--------------------------------------------
;Keyboard    Key   In A,(FE)    And 1F
;Section	     Value      Value
;
;   3-F7     5        6F          0F 	Left	Cursor key values
;   4-EF     6        6F          0F	Down
;   4-EF     7        77          17	Up
;   4-EF     8        7B          1B	Right
;
;   2-FB     Q	      7E	  1E	Up	Replacements
;   1-FD     A	      7F	  1E	Down
;   5-DF     O        7D          1D	Left
;   5-DF     P        7E          1E	Right

ORG 46D1

@KeyZXC=43DB

@KeyO
	LD A,DF			;Section 5
	IN A,FE
	AND 1F 
	SUB 1D 
	JR NZ KeyP
	CALL 417D		;Left
	JP KeyZXC
@KeyP
	CP 01 
	JR NZ KeyQ
	CALL 419F		;Right
	JP KeyZXC
@KeyQ
	LD A,FB			;Section 2
	IN A,FE
	AND 1F 
	CP 01
	JR NZ KeyA
	CALL 4193		;Up
	JP KeyZXC
@KeyA
	LD A,FD			;Section 1
	IN A,FE
	AND 1F 
	CP 01
	JP NZ KeyZXC
	CALL 4187		;Down
	JP KeyZXC